import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  collectproductInfo: `/api/market/collectproduct`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async query({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.collectproductInfo}`, {
      skip,
      limit,
      ...info,
    });
    return res;
  },
  async newquery({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.collectproductInfo}/newquery`, {
      skip,
      limit,
      ...info,
    });
    return res;
  },
  async newfetch({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.collectproductInfo}/newfetch`, {
      skip,
      limit,
      ...info,
    });
    return res;
  },
  async create({ commit }, payload) {
    const res = await this.$axios.$post(`${api.collectproductInfo}`, payload);
    return res;
  },
  async fetch({ commit }, payload) {
    const res = await this.$axios.$get(`${api.collectproductInfo}/${payload}`);
    return res;
  },
  async update({ commit }, { id, ...data }) {
    const res = await this.$axios.$post(`${api.collectproductInfo}/update/${id}`, data);
    return res;
  },

  async delete({ commit }, payload) {
    const res = await this.$axios.$delete(`${api.collectproductInfo}/${payload}`);
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
